org.apache.cassandra.net

## Interface BackPressureStrategy<S extends BackPressureState>

All Known Implementing Classes:
  RateBasedBackPressure

    public interface BackPressureStrategy<S extends BackPressureState>

Back-pressure algorithm interface.
For experts usage only. Implementors must provide a constructor accepting a single `Map<String, Object>` argument, representing any parameters eventually required by the specific implementation.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `apply(java.util.Set<S> states, long timeout, java.util.concurrent.TimeUnit unit)` Applies the back-pressure algorithm, based and acting on the given `BackPressureState`s, and up to the given timeout.
`S` `newState(java.net.InetAddress host)` Creates a new `BackPressureState` initialized as needed by the specific implementation.

### Method Detail

#### apply

    void apply(java.util.Set<S> states,
               long timeout,
               java.util.concurrent.TimeUnit unit)

Applies the back-pressure algorithm, based and acting on the given `BackPressureState`s, and up to the given timeout.

#### newState

    S newState(java.net.InetAddress host)

Creates a new `BackPressureState` initialized as needed by the specific implementation.